# REST API for user Permissions (grant or remove Admin)

**URL:** <https://developer.sailpoint.com/discuss/t/rest-api-for-user-permissions-grant-or-remove-admin/6293>\
**Category:** SHF Discussion and Questions\
**Tags:** apis, sailpoint-identity-security\
**Created:** [October 17, 2022, 11:09pm UTC](https://developer.sailpoint.com/discuss/t/rest-api-for-user-permissions-grant-or-remove-admin/6293 "2022-10-17T23:09:36Z")\
**Posts on this page:** 5\
**Page:** 1

<div class="post-metadata">

**Author:** ![jrossicare](https://avatars.discourse-cdn.com/v4/letter/j/a698b9/32.png) [@jrossicare](https://developer.sailpoint.com/discuss/u/jrossicare)\
**Post date:** [October 17, 2022, 11:09pm UTC](https://developer.sailpoint.com/discuss/t/rest-api-for-user-permissions-grant-or-remove-admin/6293/1 "2022-10-17T23:09:36Z")

</div>

Hello

Is there a way to manage users Admin Permissions via REST API?  
(example, Grant Helpdesk, Remove Role Admin etc)

I had a look at the Postman collections, but I didnt find anything.

Thank you

---

<div class="post-metadata">

**Author:** ![colin\_mckibben](https://sea1.discourse-cdn.com/sailpoint/discuss/user_avatar/developer.sailpoint.com/colin_mckibben/32/37182_2.png) [@colin\_mckibben](https://developer.sailpoint.com/discuss/u/colin_mckibben)\
**Post date:** [October 18, 2022, 1:49pm UTC](https://developer.sailpoint.com/discuss/t/rest-api-for-user-permissions-grant-or-remove-admin/6293/2 "2022-10-18T13:49:27Z")

</div>

Hi Jason. Please see this post for details on the API that will accomplish this.

> [@Assign IdentityNow Admin roles via API](https://developer.sailpoint.com/discuss/t/assign-identitynow-admin-roles-via-api/1874/4):
>
> POST /cc/api/user/updatePermissions is the API endpoint used to update user permissions in IdentityNow. Since it is technically a private API and subject to change/deprecation, use at your own risk until a beta/v3 equivalent is released. As is the case with all private APIs, there is no available documentation, so you need to use the browser developer tools to discover how to use them. This API requires a JSON request body with the v1 user id, the isAdmin flag which determines if the user lev…

---

<div class="post-metadata">

**Author:** ![jrossicare](https://avatars.discourse-cdn.com/v4/letter/j/a698b9/32.png) [@jrossicare](https://developer.sailpoint.com/discuss/u/jrossicare)\
**Post date:** [October 18, 2022, 10:24pm UTC](https://developer.sailpoint.com/discuss/t/rest-api-for-user-permissions-grant-or-remove-admin/6293/3 "2022-10-18T22:24:57Z")

</div>

Thanks Colin!

Pasting Christina’s post here, in case link breaks at some point in future:

POST /cc/api/user/updatePermissions is the API endpoint used to update user permissions in IdentityNow. Since it is technically a private API and subject to change/deprecation, use at your own risk until a beta/v3 equivalent is released. As is the case with all private APIs, there is no available documentation, so you need to use the browser developer tools to discover how to use them.

This API requires a JSON request body with the v1 user id, the `isAdmin` flag which determines if the user level is being added or taken away, and an attribute called `adminType` describing the user level that is being set for the identity. An example JSON request body would look like this:

```auto
{
    "ids": "71624",
    "isAdmin": "1",
    "adminType": "ADMIN"
}

```

---

<div class="post-metadata">

**Author:** ![cpatel](https://avatars.discourse-cdn.com/v4/letter/c/48db29/32.png) [@cpatel](https://developer.sailpoint.com/discuss/u/cpatel)\
**Post date:** [October 19, 2022, 6:29am UTC](https://developer.sailpoint.com/discuss/t/rest-api-for-user-permissions-grant-or-remove-admin/6293/4 "2022-10-19T06:29:21Z")

</div>

[https://ideas.sailpoint.com/ideas/API-I-17](https://ideas.sailpoint.com/ideas/API-I-17) you can upvote this.

---

<div class="post-metadata">

**Author:** ![system](https://global.discourse-cdn.com/sailpoint/original/2X/f/f2136700ed5e3703e0b85e02f6be799dacca7735.png) [@system](https://developer.sailpoint.com/discuss/u/system)\
**Post date:** [July 19, 2023, 2:23pm UTC](https://developer.sailpoint.com/discuss/t/rest-api-for-user-permissions-grant-or-remove-admin/6293/5 "2023-07-19T14:23:42Z")

</div>


